Results 1 to 7 of 7

Thread: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

  1. #1

    Default 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    After yesterday # zypper --releasever=15.2 dup
    in /var/log/zypp/history
    I read the exact same error for 82 rpm's
    # Error parsing key “help” in schema “org.gnome.settings-daemon.plugins.media-keys” as specified in override file “/usr/share/glib-2.0/schemas/openSUSE-branding.gschema.override”: 0-21:can not parse as value of type 's'. Ignoring override for this key.
    After an internet search, I read no results, to my surprise.
    Until now I have had no problems using 15.2, but it seems a lot of noise labeled as 'error' in the zypper dup log to me.

    Excerpts of /var/log/zypp/history I made
    Code:
    # 2021-05-16 20:26:45 gio-branding-openSUSE-42.1-lp152.9.3.1.noarch.rpm installed ok
    # Additional rpm output: 
    # Error parsing key “help” in schema “org.gnome.settings-daemon.plugins.media-keys” as specified in override file “/usr/share/glib-2.0/schemas/openSUSE-branding.gschema.override”: 0-21:can not parse as value of type 's'. Ignoring override for this key.
    exact same error for packages
    Code:
    # 2021-05-16 20:26:48 glib2-devel-2.62.6-lp152.2.6.1.x86_64.rpm installed ok
    # 2021-05-16 20:26:55 libtracker-common-2_0-2.3.2-lp152.2.4.x86_64.rpm installed ok
    # 2021-05-16 20:27:16 telepathy-logger-0.8.2-lp152.4.6.x86_64.rpm installed ok
    # 2021-05-16 20:27:16 telepathy-mission-control-5.16.3-lp152.5.7.x86_64.rpm installed ok
    # 2021-05-16 20:28:07 libpulse-mainloop-glib0-13.0-lp152.3.3.1.x86_64.rpm installed ok
    # 2021-05-16 20:29:55 colord-1.4.4-lp152.3.3.1.x86_64.rpm installed ok
    # 2021-05-16 20:30:49 gsettings-desktop-schemas-3.34.0-lp152.3.2.x86_64.rpm installed ok
    # 2021-05-16 20:34:49 tracker-2.3.2-lp152.2.4.x86_64.rpm installed ok
    # 2021-05-16 20:35:14 tracker-miners-2.3.2-lp152.1.3.x86_64.rpm installed ok
    # 2021-05-16 20:35:16 tracker-miner-files-2.3.2-lp152.1.3.x86_64.rpm installed ok
    # 2021-05-16 20:35:26 gnome-online-accounts-3.34.1-lp152.1.7.x86_64.rpm installed ok
    # 2021-05-16 20:35:28 gvfs-backends-1.42.2-lp152.3.3.x86_64.rpm installed ok
    # 2021-05-16 20:35:28 gvfs-backend-samba-1.42.2-lp152.3.3.x86_64.rpm installed ok
    # 2021-05-16 20:35:29 gnome-keyring-3.34.0-lp152.3.3.x86_64.rpm installed ok
    # 2021-05-16 20:35:38 gnome-packagekit-3.32.0-lp152.2.6.1.x86_64.rpm installed ok
    # 2021-05-16 20:36:17 simple-scan-3.34.2-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:18 seahorse-3.34.1-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:20 mousetweaks-3.32.0-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:25 gnome-sudoku-3.36.0-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:26 gnome-mahjongg-3.36.2-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:26 gnome-logs-3.34.0-lp152.1.3.x86_64.rpm installed ok
    # 2021-05-16 20:36:28 gnome-dictionary-3.26.1+20180313.ac6d4c0-lp152.4.7.x86_64.rpm installed ok
    # 2021-05-16 20:36:28 gnome-chess-3.36.0-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:29 file-roller-3.32.5-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:29 deja-dup-40.6-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:29 dconf-editor-3.34.4-lp152.1.3.x86_64.rpm installed ok
    # 2021-05-16 20:36:30 baobab-3.34.0-lp152.1.3.x86_64.rpm installed ok
    # 2021-05-16 20:36:30 libgnomekbd8-3.26.1-lp152.2.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:32 yelp-3.34.0-lp152.2.6.x86_64.rpm installed ok
    # 2021-05-16 20:36:32 gnome-terminal-3.34.2-lp152.2.5.x86_64.rpm installed ok
    # 2021-05-16 20:36:33 eog-3.34.2-lp152.1.5.x86_64.rpm installed ok
    # 2021-05-16 20:36:33 gweather-data-3.34.0-lp152.2.4.noarch.rpm installed ok
    # 2021-05-16 20:36:34 gnome-calculator-3.34.1-lp152.1.5.x86_64.rpm installed ok
    # 2021-05-16 20:36:34 gnome-system-monitor-3.32.1-lp152.1.6.x86_64.rpm installed ok
    # 2021-05-16 20:36:35 vinagre-3.22.0-lp152.6.8.x86_64.rpm installed ok
    # 2021-05-16 20:36:36 gnome-mines-3.36.0-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:37 gnome-photos-3.34.1-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:38 iagno-3.36.2-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:38 gnome-screenshot-3.34.0-lp152.2.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:39 gnome-disk-utility-3.34.4-lp152.1.5.x86_64.rpm installed ok
    # 2021-05-16 20:36:39 aisleriot-3.22.5-lp152.3.7.x86_64.rpm installed ok
    # 2021-05-16 20:36:40 gnome-subtitles-1.6-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:42 something-for-reddit-0.2-lp152.3.6.noarch.rpm installed ok
    # 2021-05-16 20:36:43 gnomekbd-tools-3.26.1-lp152.2.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:46 gnome-clocks-3.34.0-lp152.2.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:48 evince-3.34.2-lp152.1.6.x86_64.rpm installed ok
    # 2021-05-16 20:36:48 gnome-music-3.34.4-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:55 gedit-3.34.1-lp152.2.5.x86_64.rpm installed ok
    # 2021-05-16 20:36:58 brasero-3.12.2+20171213.567326a7-lp152.5.4.x86_64.rpm installed ok
    # 2021-05-16 20:36:58 polari-3.36.2-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:36:59 gnome-weather-3.34.0-lp152.2.1.noarch.rpm installed ok
    # 2021-05-16 20:36:59 gnome-documents-3.34.0-lp152.1.5.x86_64.rpm installed ok
    # 2021-05-16 20:37:00 swell-foop-3.34.1-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:37:01 quadrapassel-3.36.02-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:37:01 lightsoff-3.36.0-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:37:02 gnome-2048-3.36.2-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:37:03 ibus-1.5.22-lp152.2.3.x86_64.rpm installed ok
    # 2021-05-16 20:37:07 gnome-characters-3.32.1-lp152.1.1.x86_64.rpm installed ok
    # 2021-05-16 20:37:09 gnote-3.34.2-lp152.2.3.1.x86_64.rpm installed ok
    # 2021-05-16 20:37:10 gnome-software-3.34.2-lp152.3.3.1.x86_64.rpm installed ok
    # 2021-05-16 20:37:10 evolution-data-server-3.34.4-lp152.2.3.1.x86_64.rpm installed ok
    # 2021-05-16 20:37:13 mutter-data-3.34.6-lp152.2.6.1.x86_64.rpm installed ok
    # 2021-05-16 20:37:15 totem-3.34.1-lp152.2.6.x86_64.rpm installed ok
    # 2021-05-16 20:37:17 bijiben-3.36.1-lp152.1.2.x86_64.rpm installed ok
    # 2021-05-16 20:37:18 evolution-3.34.4-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:37:18 totem-plugins-3.34.1-lp152.2.6.x86_64.rpm installed ok
    # 2021-05-16 20:37:20 nautilus-extension-seahorse-3.11.92-lp152.4.6.x86_64.rpm installed ok
    # 2021-05-16 20:37:21 gnome-user-share-3.18.3-lp152.4.7.x86_64.rpm installed ok
    # 2021-05-16 20:37:21 gnome-contacts-3.34.1-lp152.1.4.x86_64.rpm installed ok
    # 2021-05-16 20:37:24 nautilus-3.34.3-lp152.3.3.1.x86_64.rpm installed ok
    Last edited by Eduard58; 17-May-2021 at 16:53. Reason: accuracy

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,421
    Blog Entries
    3

    Default Re: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    That seems weird. Maybe a Gnome user will recognize the issue.

    But why are you using: zypper --releasever=15.2 dup
    if you are already running Leap 15.2. Yes, you probably needed that at one time to upgrade from Leap 15.1. But once you upgraded, the default value of $releasever should now be 15.2 already and you don't need that for each update. Actually,
    Code:
    zypper up
    should be sufficient for normal updating.

    (Or perhaps I am reading too much into what you posted).
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3
    Join Date
    Sep 2012
    Posts
    6,795

    Default Re: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    Quote Originally Posted by Eduard58 View Post
    Code:
    # 2021-05-16 20:26:45 gio-branding-openSUSE-42.1-lp152.9.3.1.noarch.rpm installed ok
    # Additional rpm output: 
    # Error parsing key “help” in schema “org.gnome.settings-daemon.plugins.media-keys” as specified in override file “/usr/share/glib-2.0/schemas/openSUSE-branding.gschema.override”: 0-21:can not parse as value of type 's'. Ignoring override for this key.
    Show content of /usr/share/glib-2.0/schemas/openSUSE-branding.gschema.override

  4. #4
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    2,974

    Default Re: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    Quote Originally Posted by Eduard58 View Post
    Until now I have had no problems using 15.2, but it seems a lot of noise labeled as 'error' in the zypper dup log to me.
    You are already using Leap 15.2? Don't run 'zypper dup' anymore! Never!
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), openSUSE Tumbleweed, KDE Plasma 5

  5. #5

    Default Re: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    Quote Originally Posted by arvidjaar View Post
    Show content of /usr/share/glib-2.0/schemas/openSUSE-branding.gschema.override
    Included also an excerpt of /usr/share/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml
    excerpt, b/c 'too long'. Consists of 3 schemas with keys. In the first and 2nd schema I deleted all but 'help' key. 3rd schema deleted.
    I glimpsed at those already. I wondered if '<'and '>' in .override should be '&lt' resp. '&gt'.
    But it seemed for myself no priority yet.

    Quote Originally Posted by nrickert View Post
    ..
    But why are you using: zypper --releasever=15.2 dup
    ..
    Quote Originally Posted by karlmistelberger View Post
    You are already using Leap 15.2? Don't run 'zypper dup' anymore! Never!
    Last sunday, I intentionally upgraded to 15.2
    Though worrying has kept us alive in evolution, you can drop this worry now.

    /usr/share/glib-2.0/schemas/openSUSE-branding.gschema.override
    Code:
    [org.gnome.desktop.interface]
    ## No accessibility by default, until we're 100% there's no regression
    toolkit-accessibility = false
    ### For the theme, we stay with the defaults
    ## Note: for non-GNOME sessions, the cursor theme is defined in /var/adm/fillup-templates/sysconfig.windowmanager-desktop-data-openSUSE from desktop-data-openSUSE
    # cursor-theme = ""
    ## Note: gtk[23]-branding-%{branding_name} must contain the same defaults for icon and gtk, otherwise the theme will change when gnome-settings-daemon starts
    # icon-theme = ""
    # gtk-theme = ""
    
    [org.gnome.desktop.background]
    ## Default wallpaper
    picture-uri = "file:///usr/share/wallpapers/openSUSE-default.xml"
    picture-options = "stretched"
    primary-color = "#258c06"
    secondary-color = "#258c06"
    
    [org.gnome.desktop.screensaver]
    picture-uri = "file:///usr/share/wallpapers/openSUSE-default.xml"
    picture-options = "stretched"
    primary-color = "#258c06"
    secondary-color = "#258c06"
    
    [org.gnome.login-screen]
    ## Logo in the gdm login dialog
    logo='/usr/share/gdm/greeter/images/distributor.svg'
    
    [org.gnome.libgnomekbd.desktop]
    ## Set keyboard layout global per session instead of per window
    group-per-window = false
    
    [org.gnome.desktop.sound]
    ## Make sure to have event sounds by default
    event-sounds = true
    theme-name = "freedesktop"
    
    [org.gnome.desktop.wm.preferences]
    # Audible bell is more annoying than useful
    audible-bell = false
    ### For the theme, we stay with the defaults
    # titlebar-uses-system-font = false
    # titlebar-font = ""
    # theme = ""
    
    [org.gnome.desktop.peripherals.touchpad]
    ## Enable tap-to-click by default (bnc#554884,fate#310811)
    ## http://lists.opensuse.org/opensuse-factory/2012-06/msg01087.html
    tap-to-click = true
    
    [org.gnome.settings-daemon.plugins.housekeeping]
    ## To avoid popup warnings on default UEFI installation (bsc#919217)
    ignore-paths = ['/boot/efi']
    
    [org.gnome.settings-daemon.plugins.power]
    ## Energy Star compliant configuration is disabled for SLE and Leap from vendor level
    ## The recommended way to enable this is via GNOME Control Center, dconf-editor or gsettings
    sleep-inactive-ac-timeout = 0
    sleep-inactive-battery-timeout = 0
    
    [org.gnome.settings-daemon.plugins.xsettings]
    ## the PackageKit gtk+ module is too spammy, fdo#23917
    disabled-gtk-modules = [ "pk-gtk-module" ]
    
    [org.gnome.settings-daemon.plugins.media-keys]
    help = ['Help', '<Super>F1']
    
    [org.gnome.shell]
    ## Default apps shown in the gnome-shell dash
    favorite-apps = [ 'firefox.desktop', 'org.gnome.Evolution.desktop', 'empathy.desktop', 'gnome-music.desktop', 'shotwell.desktop', 'writer.desktop', 'org.gnome.Nautilus.desktop', 'org.gnome.Documents.desktop' ]
    
    [org.gnome.gnome-panel.applet.window-list]
    ## Display all workspaces in the gnome-panel window list applet
    display-all-workspaces = true
    
    [org.freedesktop.Tracker.Miner.Files]
    ## Disable indexing on removable media
    index-removable-devices = false
    
    [org.gnome.settings-daemon.plugins.xsettings:sle-classic]
    ## Show application menu on title bar in sle-classic session
    ## Need glib2 supports that gsettings default value can be overridden depending on session
    ## bgo#746592 bsc#1070090
    overrides = {'Gtk/ShellShowsAppMenu': <0>}
    
    # [org.gnome.software]
    # # Disable GNOME Software's automatic update notifications - openSUSE relies on
    # # gnome-settings-daemon's internal update plugin for update notifications.
    # download-updates = false
    [org.gnome.nautilus.icon-view]
    default-zoom-level = 'small'
    /usr/share/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml
    Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <schemalist>
      <schema gettext-domain="gnome-settings-daemon" id="org.gnome.settings-daemon.plugins.media-keys.deprecated">
       ..deletedKeys..
        <key name="help" type="s">
          <default>''</default>
          <summary>Launch help browser</summary>
          <description>Binding to launch the help browser.</description>
        </key>
       ..deletedKeys..
      </schema>
    
      <schema gettext-domain="gnome-settings-daemon" id="org.gnome.settings-daemon.plugins.media-keys" path="/org/gnome/settings-daemon/plugins/media-keys/">
       ..deletedKeys..
        <key name="help" type="as">
          <default>['', '&lt;Super&gt;F1']</default>
          <summary>Launch help browser</summary>
          <description>Binding to launch the help browser.</description>
        </key>
       ..deletedKeys..
      </schema>
       ..deletedschema..
    </schemalist>

  6. #6
    Join Date
    Sep 2012
    Posts
    6,795

    Default Re: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    The key type in schema was "string" in Leap 15.1 and became "array of strings" in Leap 15.2. New schema was installed with update of gnome-settings-daemon. gio-branding-openSUSE was updated before gnome-settings-daemon which resulted in conflict between definition in new override (which is using "array of strings") and definition in old schema ("string"). Until gnome-settings-daemon was updated old schema remained and every time schemas were compiled you got this error.

    I assume error is no more present. Run
    Code:
    glib-compile-schemas --dry-run /usr/share/glib-2.0/schemas
    Do you see any error?

  7. #7

    Default Re: 82 times 'Error parsing key' in /var/log/zypp/history, after zypper --releasever=15.2 dup

    Quote Originally Posted by arvidjaar View Post
    The key type in schema was "string" in Leap 15.1 and became "array of strings" in Leap 15.2. New schema was installed with update of gnome-settings-daemon. gio-branding-openSUSE was updated before gnome-settings-daemon which resulted in conflict between definition in new override (which is using "array of strings") and definition in old schema ("string"). Until gnome-settings-daemon was updated old schema remained and every time schemas were compiled you got this error.

    I assume error is no more present. Run
    Code:
    glib-compile-schemas --dry-run /usr/share/glib-2.0/schemas
    Do you see any error?
    It ran without producing errors.
    I guess gnome-settings-daemon was not administered as dependency for all the packages with the overrides, so that it was not installed first.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •